Early access
List all engagement survey responses
Returns a list of engagement survey responses
Returns a list of engagement survey responses
Query Parameters
Filter by engagement survey IDs
Filter by employee IDs
Employee custom field internal names to include
items <= 10created_at after an ISO 8601 date or timestamp
date-timecreated_at on or after an ISO 8601 date or timestamp
date-timecreated_at before an ISO 8601 date or timestamp
date-timecreated_at on or before an ISO 8601 date or timestamp
date-timeupdated_at after an ISO 8601 date or timestamp
date-timeupdated_at on or after an ISO 8601 date or timestamp
date-timeupdated_at before an ISO 8601 date or timestamp
date-timeupdated_at on or before an ISO 8601 date or timestamp
date-timePage offset to fetch.
int321Number of results to return per page.
int321 <= value <= 10050Pad a number of results.
int320Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/api/v4/pulse/engagement_survey_responses"{ "data": [ { "id": 0, "survey_id": 0, "user_id": 0, "anonymous": true, "position": { "id": 0, "name": "string" }, "location": { "id": 0, "name": "string" }, "division": { "id": 0, "name": "string" }, "department": { "id": 0, "name": "string" }, "work_type": { "id": 0, "name": "string" }, "gender": { "id": 0, "name": "string" }, "age": "string", "tenure": "string", "fields": { "property1": { "label": "string", "group": { "id": 0, "name": "string" }, "value": null, "option_id": 0, "option_ids": [ 0 ], "user_id": 0 }, "property2": { "label": "string", "group": { "id": 0, "name": "string" }, "value": null, "option_id": 0, "option_ids": [ 0 ], "user_id": 0 } }, "status": "string", "finished_at": "2019-08-24T14:15:22Z", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "answers": [ { "question": { "id": 0, "type": "string", "title": "string" }, "value": "string", "comment": "string" } ] } ], "metadata": { "page": 0, "per_page": 0, "total_pages": 0, "total_count": 0 }}